## com.thingmagic
Interface ReadAuthenticationListener

    public interface ReadAuthenticationListener

Method Summary
`void` `readTagAuthentication(TagReadData t, Reader reader)` Invoked when a tag read Authentication exception occurs

Method Detail

### readTagAuthentication

    void readTagAuthentication(TagReadData t,
                               Reader reader)
                               throws ReaderException

  Invoked when a tag read Authentication exception occurs

  Parameters:
    `r` - the Reader where the tag was read
    `t` - the tag data and metadata
  Throws:
    `ReaderException`